Package com.io7m.idstore.server.http

# Class IdCommonInstrumentedServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.http.IdCommonInstrumentedServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

Direct Known Subclasses:
  `IdA1AuthenticatedServlet`, `IdA1Login`, `IdA1Versions`, `IdCommonCSSServlet`, `IdCommonLogoServlet`, `IdU1AuthenticatedServlet`, `IdU1Login`, `IdU1VersionServlet`, `IdUViewAuthenticatedServlet`, `IdUViewEmailVerificationDeny`, `IdUViewEmailVerificationPermit`, `IdUViewLogin`, `IdUViewLogout`, `IdUViewPasswordReset`, `IdUViewPasswordResetConfirm`, `IdUViewPasswordResetConfirmRun`, `IdUViewPasswordResetRun`

public abstract class IdCommonInstrumentedServlet extends jakarta.servlet.http.HttpServlet
The base instrumented servlet. The purpose of this servlet is to collect metrics for telemetry.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `IdCommonInstrumentedServlet(com.io7m.repetoir.core.RPServiceDirectoryType inServices)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `service(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res)`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdCommonInstrumentedServlet

    protected IdCommonInstrumentedServlet(com.io7m.repetoir.core.RPServiceDirectoryType inServices)

- ## Method Details

  - ### service

    public final void service(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res) throws jakarta.servlet.ServletException, IOException
    Specified by:
      `service` in interface `jakarta.servlet.Servlet`
    Overrides:
      `service` in class `jakarta.servlet.http.HttpServlet`
    Throws:
      `jakarta.servlet.ServletException`
      `IOException`